Search:

# CWIS Developers Documentation

Public Member Functions | Static Public Member Functions

# SPTSearchEngine Class Reference

Collaboration diagram for SPTSearchEngine:
[legend]

## Public Member Functions
| SPTSearchEngine ()
| GetFieldContent ($ItemId, $FieldName)
| SearchFieldForPhrases ($FieldName, $Phrase)
| SearchFieldsForComparisonMatches ($FieldNames, $Operators, $Values)
| UpdateForResource ($ItemId)
## Static Public Member Functions
static | GetItemIdsSortedByField ($FieldName, $SortDescending)
static | QueueUpdateForItem ($ItemId, $Priority=ApplicationFramework::PRIORITY_LOW)
static | RunUpdateForItem ($ItemId)

List of all members.

## Detailed Description

Definition at line 10 of file SPTSearchEngine.php.

Inheritance diagram for SPTSearchEngine:
[legend]

## Member Function Documentation

SPTSearchEngine::GetFieldContent | ( | $ | ItemId,
|  | $ | FieldName
| ) |  |

Reimplemented from SearchEngine.

Definition at line 73 of file SPTSearchEngine.php.

static SPTSearchEngine::GetItemIdsSortedByField | ( | $ | FieldName,
|  | $ | SortDescending
| ) |  | `[static]`

Definition at line 505 of file SPTSearchEngine.php.

static SPTSearchEngine::QueueUpdateForItem | ( | $ | ItemId,
|  | $ | Priority = `ApplicationFramework::PRIORITY_LOW`
| ) |  | `[static]`

Definition at line 511 of file SPTSearchEngine.php.

static SPTSearchEngine::RunUpdateForItem | ( | $ | ItemId ) | `[static]`

Definition at line 519 of file SPTSearchEngine.php.

References SPTSearchEngine().

SPTSearchEngine::SearchFieldForPhrases | ( | $ | FieldName,
|  | $ | Phrase
| ) |  |

Reimplemented from SearchEngine.

Definition at line 83 of file SPTSearchEngine.php.

References SearchEngine::DebugLevel(), SearchEngine::DMsg(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, and MetadataSchema::MDFTYPE_USER.

SPTSearchEngine::SearchFieldsForComparisonMatches | ( | $ | FieldNames,
|  | $ | Operators,
|  | $ | Values
| ) |  |

Definition at line 212 of file SPTSearchEngine.php.

References SearchEngine::DefaultSearchLogic(), SearchEngine::DMsg(), SearchEngine::LOGIC_AND, MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, and MetadataSchema::MDFTYPE_USER.

SPTSearchEngine::SPTSearchEngine | ( | ) |

Definition at line 12 of file SPTSearchEngine.php.

References SearchEngine::$DB, SearchEngine::AddField(), SearchEngine::FIELDTYPE_DATE, SearchEngine::FIELDTYPE_DATERANGE, SearchEngine::FIELDTYPE_NUMERIC, SearchEngine::FIELDTYPE_TEXT, MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FILE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_IMAGE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_POINT, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, MetadataSchema::MDFTYPE_TREE, MetadataSchema::MDFTYPE_URL, MetadataSchema::MDFTYPE_USER, and SearchEngine::SearchEngine().

Referenced by RunUpdateForItem().

Here is the caller graph for this function:

SPTSearchEngine::UpdateForResource | ( | $ | ItemId ) |

Definition at line 533 of file SPTSearchEngine.php.

References SearchEngine::UpdateForItem().

The documentation for this class was generated from the following file:

- SPTSearchEngine.php